For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all strategies
      • POSTCreate a strategy
      • GETGet a strategy definition
      • PUTUpdate a strategy type
      • DELDelete a strategy
      • POSTDeprecate a strategy
      • POSTReactivate a strategy
      • GETGet strategies that use a context field
      • GET[BETA] Get strategies that use a context field
      • POSTUpdate strategy segments

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIStrategies

Update a strategy type

||View as Markdown|
PUT
https://app.unleash-instance.example.com/api/admin/strategies/:name
PUT
/api/admin/strategies/:name
$curl -X PUT https://app.unleash-instance.example.com/api/admin/strategies/name \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "parameters": [
> {
> "name": "Rollout percentage",
> "type": "percentage"
> }
> ]
>}'
1{}
Updates the specified strategy type. Any properties not specified in the request body are left untouched.
Was this page helpful?
Previous

Delete a strategy

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

namestringRequired

Request

updateStrategySchema
parameterslist of objectsRequired
The parameter list lets you pass arguments to your custom activation strategy. These will be made available to your custom strategy implementation.
descriptionstringOptional
A description of the strategy type.

Response

This response has no body.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
415
Unsupported Media Type Error